Download it now!
Bug 113225 - LibreOffice 5.4.1.2 crashes when checking for updates ( OpenGL )
Summary: LibreOffice 5.4.1.2 crashes when checking for updates ( OpenGL )
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0 target:5.3.7 target:5.4.3
Keywords:
Depends on:
Blocks: Updates
  Show dependency treegraph
 
Reported: 2017-10-18 13:46 UTC by Xisco Faulí
Modified: 2017-12-05 09:38 UTC (History)
6 users (show)

See Also:
Crash report or crash signature: ["OpenGLContext::AcquireFramebuffer(OpenGLTexture%20const%20&)", "WinOpenGLContext::isCurrent()", "WinOpenGLContext::makeCurrent()"]


Attachments
crashreport's trend (99.86 KB, image/png)
2017-10-18 13:46 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-10-18 13:46:29 UTC
Created attachment 137076 [details]
crashreport's trend

On Friday 13, October, 2017 the update checker for enabled for version 5.4.1.2 to update to 5.4.2.2.
Since that day, the number of crashes has doubled. See attached image

Crashreports:
http://crashreport.libreoffice.org/stats/signature/OpenGLContext::AcquireFramebuffer(OpenGLTexture%20const%20&)

http://crashreport.libreoffice.org/stats/signature/WinOpenGLContext::isCurrent()

http://crashreport.libreoffice.org/stats/signature/WinOpenGLContext::makeCurrent()

Discussion in IRC:
moggi> x1sc0: ask cloph if he enabled around that time the update check for 5.4.1.2
<mmeeks> x1sc0: interesting ...
<moggi> x1sc0: they are all in the update checker UI code, therefore I suspect that the non-main thread rendering happening there is causing the crash and the enabling of the update check causes the crashes
<mmeeks> x1sc0: interesting - looks like we're loading the 'update' image in a thread.
<mmeeks> x1sc0: is there a bug report for that you can CC me and quikee on ?
<x1sc0> let me check
* mmeeks wonders if we had Caolan's new epoxy work in 5.4.x
<moggi> yes
<mmeeks> there was some fix in this area to that recently; but perhaps not.
<moggi> mmeeks: looks like there might be nothing holding the SolarMutex
<mmeeks> moggi: yep - createInstance() looks like it needs something there ...
* mmeeks suspects the epoxy problem more though
<x1sc0> cloph confirmed the update check was enabled last week
<mmeeks> eg.     Resolves: tdf#107730 ensure per-thread epoxy_handle_external_wglMakeCurrent
* erAck és conegut com a erAck_away
<mmeeks> x1sc0: so - I hope it is already fixed by Caolan: with 45cfa386e312bf70c84fb971a9f7d541353b4809
<mmeeks> x1sc0: but that is not in 5.4.1.2
<mmeeks> x1sc0: of course moggi is right it needs a lock there, but that's prolly less problematic =)
<mmeeks> the crash-address of 0x0 is indicative of a  null ptr de-reference.
Comment 1 Michael Meeks 2017-10-18 14:27:15 UTC
Of course, the more you look the more oddness there is - re-using this bug for http://crashreport.libreoffice.org/stats/crash_details/e4f26191-15d5-441a-868f-9ada21ef4424 as well =) I have a fix.
Comment 2 Xisco Faulí 2017-10-19 08:43:18 UTC
Gerrit patch: https://gerrit.libreoffice.org/#/c/43508/1
Comment 3 Commit Notification 2017-10-19 13:07:59 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=856d734ee1665b6aa7304847c3a923af09066016

tdf#113225 - reset framebuffer count when resetting OpenGLContext

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-10-19 19:38:03 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5396ddfb01539424c3aef02bbdea3c5c3152a4ce&h=libreoffice-5-3

tdf#113225 - reset framebuffer count when resetting OpenGLContext

It will be available in 5.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-10-21 04:41:40 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=254c49dcceaa8b181b2cb3338e34e5637be277b9

tdf#113225 - hold the solar mutex when entering from UNO.

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Meeks 2017-10-21 05:06:50 UTC
I hope that in combination with Caolan's epoxy fix in 5.4.2.2 and nailing this old missing SolarMutex bug (which is independent of GL) we're in a better state here.
Comment 7 Commit Notification 2017-10-21 17:52:30 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9534d12f861238dd59010baa1ff0d798b5dd6f7&h=libreoffice-5-4

tdf#113225 - hold the solar mutex when entering from UNO.

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-10-21 17:53:46 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2bb871b9b91d1a22f4db2edd5cb93a2011318ec&h=libreoffice-5-3

tdf#113225 - hold the solar mutex when entering from UNO.

It will be available in 5.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-10-24 10:01:20 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fdd5e6693ee82d1499d542f8c97f28bd304fc164&h=libreoffice-5-3-7

tdf#113225 - hold the solar mutex when entering from UNO.

It will be available in 5.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2017-10-27 13:55:54 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e19422859f685ccd391b89467d8c88a46311222&h=libreoffice-5-4

tdf#113225 - reset framebuffer count when resetting OpenGLContext

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Aron Budea 2017-10-30 16:52:16 UTC
This should go into 5.4.3, too, shouldn't it?
Comment 12 Commit Notification 2017-11-02 22:03:52 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a674d73119d4caa5f08a1a2798e2417dee859ed1&h=libreoffice-5-4-3

tdf#113225 - reset framebuffer count when resetting OpenGLContext

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-11-02 22:05:13 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dc34b649e821cfe55386a054420c4e65ac4b3683&h=libreoffice-5-4-3

tdf#113225 - hold the solar mutex when entering from UNO.

It will be available in 5.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Xisco Faulí 2017-12-05 09:38:50 UTC
system update to 5.4.3.2 was available yesterday and no crashes so far:

- http://crashreport.libreoffice.org/stats/signature/WinOpenGLContext::makeCurrent()

- http://crashreport.libreoffice.org/stats/signature/WinOpenGLContext::isCurrent()